Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface ListModel

All Known Subinterfaces:
  ComboBoxModel, MutableComboBoxModel

All Known Implementing Classes:
  AbstractListModel

public interface ListModel

This interface defines the methods components like JList use to get the value of each cell in a list and the length of the list. Logically the model is a vector, indices vary from 0 to ListDataModel.getSize() - 1. Any change to the contents or length of the data model must be reported to all of the ListDataListeners.

See Also:
  `JList`

Method Summary
`void` | `addListDataListener(ListDataListener l)` Add a listener to the list that's notified each time a change to the data model occurs.
`Object` | `getElementAt(int index)` Returns the value at the specified index.
`int` | `getSize()` Returns the length of the list.
`void` | `removeListDataListener(ListDataListener l)` Remove a listener from the list that's notified each time a change to the data model occurs.

Method Detail

### getSize

    public int getSize()

  Returns the length of the list.

### getElementAt

    public Object getElementAt(int index)

  Returns the value at the specified index.

### addListDataListener

    public void addListDataListener(ListDataListener l)

  Add a listener to the list that's notified each time a change to the data model occurs.
  Parameters:
    `l` - the ListDataListener

### removeListDataListener

    public void removeListDataListener(ListDataListener l)

  Remove a listener from the list that's notified each time a change to the data model occurs.
  Parameters:
    `l` - the ListDataListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.